%define oname	hybrid-v35
%define dwver	6_30_223_141
%define kname	wl

Summary:	Proprietary driver for Broadcom wireless adapters
Name:		broadcom-wl
Version:	6.30.223.141
Release:	%mkrel 1
Source0:	http://www.broadcom.com/docs/linux_sta/%{oname}-nodebug-pcoem-%{dwver}.tar.gz
Source1:	http://www.broadcom.com/docs/linux_sta/%{oname}_64-nodebug-pcoem-%{dwver}.tar.gz
Source2:	broadcom-wl-blacklist.conf
Source3:	broadcom-wl-alias.conf
# fix build with 3.10+ (openmamba)
Patch0:		broadcom-wl-6.30.223.141-kernel-3.10.patch
# Blob is under a custom license (see LICENSE.txt), everything else
# is GPLv2 - AdamW 2008/12
License:	Freeware and GPLv2 with exception
Group:		System/Kernel and hardware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php

%description
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%package -n dkms-%{name}
Summary:	Kernel module for Broadcom wireless adapters
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):	dkms
Requires:	%{name}-common

%description -n dkms-%{name}
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%package -n %{name}-common
Summary:	Common files for Broadcom-wl drivers
Group:		System/Kernel and hardware
Conflicts:	dkms-%{name} <= 5.100.82.112-7
Conflicts:	broadcom-bcma-config
Conflicts:	broadcom-ssb-config

%description -n %{name}-common
This package contains the blacklist and ldetect-lst files shared
between dkms-broadcom-wl and the prebuilt broadcom-wl-* drivers.

%prep
%ifarch x86_64
%setup -q -T -c -a1 %{oname}
%else
%setup -q -T -c -a0 %{oname}
%endif
%patch0 -p1

%build

%install
rm -rf %{buildroot}

# add blacklist for conflicting in-kernel modules
install -m755 -d %{buildroot}%{_sysconfdir}/modprobe.d/
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d
# add pciids for ldetect-lst and libkmod
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/modprobe.d

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cp -R * %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE="make -C \$kernel_source_dir M=\\\$(pwd)"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{name}
BUILT_MODULE_NAME=%{kname}
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release}

%preun -n dkms-%{name}
# rmmod can fail
/sbin/rmmod %{kname} >/dev/null 2>&1 ||:
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

%posttrans -n %{name}-common
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/modprobe wl >/dev/null 2>&1 ||:
fi

%clean
rm -rf %{buildroot}

%files -n dkms-%{name}
%doc lib/LICENSE.txt
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*

%files -n %{name}-common
%config %{_sysconfdir}/modprobe.d/%{name}-alias.conf
%config %{_sysconfdir}/modprobe.d/%{name}-blacklist.conf


%changelog
* Sat Oct 05 2013 tmb <tmb> 6.30.223.141-1.mga3
+ Revision: 492038
- sync with cauldron broadcom-wl-6.30.223.141-1.mga4
- fix build with kernel-3.10

* Sat May 04 2013 tmb <tmb> 5.100.82.112-12.mga3.nonfree
+ Revision: 412316
- silence rmmod warnings when modules are not loaded

* Sat May 04 2013 tmb <tmb> 5.100.82.112-11.mga3.nonfree
+ Revision: 412262
- conflict broadcom-bcma-config and broadcom-ssb-config
- remove reference to nonexisting brcm80211
- unload conflicting drivers and load wl driver when installed

* Fri Feb 08 2013 tmb <tmb> 5.100.82.112-10.mga3.nonfree
+ Revision: 396959
- blacklist b43legacy, brcmsmac and brcmfmac too

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-9.mga3.nonfree
+ Revision: 391728
- fix alias list so it is actually used when installed

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-8.mga3.nonfree
+ Revision: 391697
- add pciids for ldetect-lst to detect wl drivers when installed
- split out module blacklist to a separate -common package

* Fri Jan 11 2013 umeabot <umeabot> 5.100.82.112-7.mga3.nonfree
+ Revision: 347202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 tmb <tmb> 5.100.82.112-6.mga3.nonfree
+ Revision: 344817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 tmb <tmb> 5.100.82.112-5.mga3.nonfree
+ Revision: 247960
- fix build with 3.4 series kernels (P1)

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-4.mga2.nonfree
+ Revision: 187931
- fix build with 3.2 series kernels
- drop unused .conf file
- drop buildroot and defattr

* Mon Dec 05 2011 zezinho <zezinho> 5.100.82.112-3.mga2.nonfree
+ Revision: 177045
- blacklist more modules to fix #3618

* Tue Nov 08 2011 zezinho <zezinho> 5.100.82.112-2.mga2.nonfree
+ Revision: 165305
- bump release because it is also in 1/updates

* Tue Nov 08 2011 zezinho <zezinho> 5.100.82.112-1.mga2.nonfree
+ Revision: 165290
- new version

* Sun Apr 10 2011 tmb <tmb> 5.100.82.38-3.mga1
+ Revision: 83052
- blacklist brcm80211 if wl module is installed (#327)

* Sun Mar 20 2011 tmb <tmb> 5.100.82.38-2.mga1
+ Revision: 75009
- fix build with 2.6.37+ series kernels (#438)

* Thu Mar 17 2011 tmb <tmb> 5.100.82.38-1.mga1
+ Revision: 73292
- imported package broadcom-wl


* Thu Mar 17 2011 Thomas Backlund <tmb@mageia.org> 5.100.82.38-1.mga1
- update to v5.100.82.38
- drop P1, P2 (not needed anympre)

* Wed Sep 01 2010 Pascal Terjan <pterjan@mandriva.org> 5.60.48.36-1mdv2011.0
+ Revision: 575159
- Update to v5.60.48.36

* Tue Aug 03 2010 Thomas Backlund <tmb@mandriva.org> 5.10.91.9.3-3mdv2011.0
+ Revision: 565479
- fix build with 2.6.35

* Sun Jan 31 2010 Thomas Backlund <tmb@mandriva.org> 5.10.91.9.3-2mdv2010.1
+ Revision: 498748
- fix build with 2.6.33 (#57331)

* Fri Jan 15 2010 Christophe Fergeau <cfergeau@mandriva.com> 5.10.91.9.3-1mdv2010.1
+ Revision: 491665
- switch to version 5.10.91.9.3
- add gentoo patch to fix compilation with kernel 2.6.32 on i586

* Tue Jul 21 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-2mdv2010.0
+ Revision: 398244
- patch3 based on gentoo: support kernel 2.6.31

* Sat Jun 27 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-1mdv2010.0
+ Revision: 389907
- 5.10.91.9

* Fri Mar 06 2009 Pascal Terjan <pterjan@mandriva.org> 5.10.79.10-1mdv2009.1
+ Revision: 349871
- Update to 5.10.79.10
- Patch for 2.6.29

* Wed Jan 07 2009 Adam Williamson <awilliamson@mandriva.org> 5.10.27.12-1mdv2009.1
+ Revision: 326846
- drop argument.patch, fixed upstream
- new version 5.10.27.12

* Mon Dec 22 2008 Adam Williamson <awilliamson@mandriva.org> 5.10.27.11-1mdv2009.1
+ Revision: 317706
- import broadcom-wl


